com.fasterxml.jackson.databind.cfg

## Class ConfigOverride

- java.lang.Object
- - com.fasterxml.jackson.databind.cfg.ConfigOverride

Direct Known Subclasses:
  MutableConfigOverride

    public abstract class ConfigOverride
    extends Object

Configuration object that is accessed by databinding functionality to find overrides to configuration of properties, based on declared type of the property. Such overrides have precedence over annotations attached to actual type (`Class`), but can be further overridden by annotations attached to the property itself.

Since:
  2.8

### Field Summary

Fields
`protected JsonFormat.Value` `_format` Definitions of format overrides, if any.
`protected JsonIgnoreProperties.Value` `_ignorals` Definitions of property ignoral (whether to serialize, deserialize given logical property) overrides, if any.
`protected JsonInclude.Value` `_include` Definitions of inclusion overrides, if any.
`protected Boolean` `_isIgnoredType` Flag that indicates whether "is ignorable type" is specified for this type; and if so, is it to be ignored (true) or not ignored (false); `null` is used to indicate "not specified", in which case other configuration (class annotation) is used.
`protected Boolean` `_mergeable` Flag that indicates whether properties of this type default to being merged or not.
`protected JsonSetter.Value` `_setterInfo` Definitions of setter overrides regarding null handling
`protected JsonAutoDetect.Value` `_visibility` Overrides for auto-detection visibility rules for this type.

### Constructor Summary

Constructors
`protected` `ConfigOverride()`
`protected` `ConfigOverride(ConfigOverride src)`

### Method Summary

Methods
`static ConfigOverride` `empty()` Accessor for immutable "empty" instance that has no configuration overrides defined.
`JsonFormat.Value` `getFormat()`
`JsonIgnoreProperties.Value` `getIgnorals()`
`JsonInclude.Value` `getInclude()`
`Boolean` `getIsIgnoredType()`
`Boolean` `getMergeable()`
`JsonSetter.Value` `getSetterInfo()`
`JsonAutoDetect.Value` `getVisibility()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### _format

    protected JsonFormat.Value _format

Definitions of format overrides, if any.

#### _include

    protected JsonInclude.Value _include

Definitions of inclusion overrides, if any.

#### _ignorals

    protected JsonIgnoreProperties.Value _ignorals

Definitions of property ignoral (whether to serialize, deserialize given logical property) overrides, if any.

#### _setterInfo

    protected JsonSetter.Value _setterInfo

Definitions of setter overrides regarding null handling

Since:
  2.9

#### _visibility

    protected JsonAutoDetect.Value _visibility

Overrides for auto-detection visibility rules for this type.

Since:
  2.9

#### _isIgnoredType

    protected Boolean _isIgnoredType

Flag that indicates whether "is ignorable type" is specified for this type; and if so, is it to be ignored (true) or not ignored (false); `null` is used to indicate "not specified", in which case other configuration (class annotation) is used.

#### _mergeable

    protected Boolean _mergeable

Flag that indicates whether properties of this type default to being merged or not.

### Constructor Detail

#### ConfigOverride

    protected ConfigOverride()

#### ConfigOverride

    protected ConfigOverride(ConfigOverride src)

### Method Detail

#### empty

    public static ConfigOverride empty()

Accessor for immutable "empty" instance that has no configuration overrides defined.

Since:
  2.9

#### getFormat

    public JsonFormat.Value getFormat()

#### getInclude

    public JsonInclude.Value getInclude()

#### getIgnorals

    public JsonIgnoreProperties.Value getIgnorals()

#### getIsIgnoredType

    public Boolean getIsIgnoredType()

#### getSetterInfo

    public JsonSetter.Value getSetterInfo()

Since:
  2.9

#### getVisibility

    public JsonAutoDetect.Value getVisibility()

Since:
  2.9

#### getMergeable

    public Boolean getMergeable()

Since:
  2.9